#!/bin/sh

PS1="$"
basedir=`pwd`

applyPatch() {
    pfoldername=$1
	what=$2
    target=$3
    branch=$4

    cd "$basedir"
    if [ ! -d  "$target" ]; then
        git clone $what $target
    fi
	echo "$basedir/$target"
    cd "$basedir/$target"
    echo "Resetting $target to $what..."
    git config commit.gpgSign false
    git remote rm origin >/dev/null 2>&1
    git remote add origin $what >/dev/null 2>&1
    git checkout master >/dev/null 2>&1
    git fetch origin >/dev/null 2>&1
	git reset --hard $branch
    echo "  Applying patches to $target..."
    git am --abort >/dev/null 2>&1
    git am --3way "../${pfoldername}-Patches/"*.patch
    if [ "$?" != "0" ]; then
        echo "  Something did not apply cleanly to $target."
        echo "  Please review above details and finish the apply then"
        echo "  save the changes with rebuildPatches.sh"
        exit 1
    else
        echo "  Patches applied cleanly to $target"
    fi
}

git submodule update --init
cd FastLogin
hash=$(git rev-parse HEAD)
git branch -f main "$hash"

applyPatch LimeLogin FastLogin LimeLogin-Plugin main